API Explorer 936 endpoints

Delete My Api Collection Endpoint

DELETE /obp/v7.0.0/my/api-collections/API_COLLECTION_NAME/api-collection-endpoints/OPERATION_ID

OBPv4.0.0-deleteMyApiCollectionEndpoint No role required Api-Collection

<details> <summary style="display:list-item;cursor:s-resize;">API Collection</summary>

<p>An API Collection is a collection of endpoints grouped together for a certain purpose.</p> <p>Having read access to a Collection does not constitute execute access on the endpoints in the Collection.</p> <p>(Execute access is governed by Entitlements to Roles - and in some cases, Views.)</p> <p>Collections can be created and shared. You can make a collection non-sharable but the default is sharable.</p> <p>Your "Favourites" in API Explorer is actually a collection you control named "Favourites".</p> <p>To share a Collection (e.g. your Favourites) just click on your Favourites in the API Explorer and share the URL in the browser. If you want to share the Collection via an API, just share the collection_id with a developer.</p> <p>If you share a Collection it can't be modified by anyone else, but anyone can use it as a basis for their own Favourites or another collection.</p> <p>There are over 13 endpoints for controlling Collections.<br /> Some of these endpoints require Entitlements to Roles and some operate on your own personal collections such as your favourites.</p>

</details>

<br></br>

Delete Api Collection Endpoint By OPERATION_ID

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

URL Parameters:

API_COLLECTION_NAME: Favourites

OPERATION_ID: OBPv6.0.0-getBanks

JSON response body fields (0)
Example success response
true
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20057: User not found by userId.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 deleteMyApiCollectionEndpoint Originally /obp/v4.0.0/my/api-collections/API_COLLECTION_NAME/api-collection-endpoints/OPERATION_ID